# -*- coding: utf-8 -*-
import flx;
import matplotlib.pyplot as plt
import matplotlib as mpl
import numpy as np 
import matplotlib.patches as mpatches

from matplotlib.backends.backend_pgf import FigureCanvasPgf
mpl.backend_bases.register_backend('pdf', FigureCanvasPgf)

pgf_with_pdflatex = {
    "pgf.texsystem": "pdflatex",
    "pgf.preamble": [
         r"\usepackage[utf8x]{inputenc}",
         r"\usepackage[T1]{fontenc}",
#         r"\usepackage{cmbright}",
         ]
}
mpl.rcParams.update(pgf_with_pdflatex)


rfmode = 1

def PlotModes():
  modestr = "{:.0f}".format(rfmode)
  # =====================================
  # Read data from files
  # =====================================
  dfile = r'output_rf1.dat'
  x1, m1 = np.genfromtxt(dfile, unpack=True, usecols=(0,3+int(rfmode)))
  dfile = r'output_rf2.dat'
  x2, m2 = np.genfromtxt(dfile, unpack=True, usecols=(0,3+int(rfmode)))
  dfile = r'output_rf3.dat'
  x3, m3 = np.genfromtxt(dfile, unpack=True, usecols=(0,3+int(rfmode)))
  plt.rc('text', usetex=True)
  # =====================================
  # Do the plotting
  # =====================================
  plt.rc('font', family='roman', size=10)
  plt.figure(1, figsize=(6.3,2.5))
  plt.grid(True)
  plt.plot(x1, m1, linewidth=3, color='black', label=r'random field 1 (mode '+modestr+")")
  plt.plot(x2, m2, linewidth=2, color='blue', label=r'random field 2 (mode '+modestr+")")
  plt.plot(x3, m3, linewidth=2, color='red', label=r'random field 3 (mode '+modestr+")")
  plt.xlabel(r'$x$')
  legend = plt.legend()
  for label in legend.get_texts():
    label.set_fontsize('medium')
  for label in legend.get_lines():
    label.set_linewidth(2)  # the legend line width
  plt.tight_layout()
  plt.savefig('tutorial_5a_plot_modes.pdf', format='pdf')
  plt.savefig('tutorial_5a_plot_modes.png', format='png')
  plt.show()
  return 0;

